* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    background: #111;
    color: white;
}

/* Header */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 8%;
    background: black;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.logo img {
    width: 80px;
    height: auto;
}

nav ul {
    display: flex;
    list-style: none;
}

nav ul li {
    margin-left: 25px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
}

nav ul li a:hover {
    color: gold;
}


/* Hero Banner */

.hero {
    height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6),
            rgba(0, 0, 0, 0.6)),
        url("images/banner.jpg");

    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero1 {
    height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6),
            rgba(0, 0, 0, 0.6)),
        url("images/gallerybanner.jpeg");

    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero2 {
    height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6),
            rgba(0, 0, 0, 0.6)),
        url("images/servicesbanner.jpeg");

    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero3 {
    height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.6),
            rgba(0, 0, 0, 0.6)),
        url("images/packagebanner.jpeg");

    background-size: cover;
    background-position: center;

    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero-content {
    max-width: 800px;
}

.hero-content h1 {
    color: gold;
    font-size: 60px;
    margin-bottom: 20px;
}

.hero-content p {
    font-size: 20px;
    line-height: 35px;
    margin-bottom: 30px;
}

.btn {
    background: gold;
    color: black;
    padding: 15px 35px;
    text-decoration: none;
    border-radius: 10px;
    font-weight: bold;
}


/* Hero Section */


.hero h1 {
    font-size: 50px;
    color: gold;
}

.hero p {
    margin-top: 20px;
    font-size: 18px;
    line-height: 30px;
}

.btn {
    display: inline-block;
    margin-top: 30px;
    padding: 15px 30px;
    background: gold;
    color: black;
    text-decoration: none;
    border-radius: 10px;
    font-weight: bold;
}

.btn:hover {
    background: white;
}

/* Why Choose Us */
.why {
    padding: 80px 10%;
}

.why h2 {
    text-align: center;
    color: gold;
    margin-bottom: 40px;
}

.box {
    background: #1d1d1d;
    padding: 30px;
    margin-bottom: 20px;
    border-radius: 15px;
    width: 70%;
    margin: 0 auto 20px;
}

.box h3 {
    color: gold;
}

.box p {
    margin-top: 15px;
}

/* Services */
.services {
    padding: 80px 10%;
}

.services h2 {
    text-align: center;
    color: gold;
    margin-bottom: 40px;
}

.card {
    background: #1d1d1d;
    padding: 30px;
    margin-bottom: 20px;
    border-radius: 15px;
    transition: 0.4s;
    width: 70%;
    margin: 0 auto 20px;
}

.card:hover {
    transform: translateY(-10px);
    border: 2px solid gold;
}

/* Footer */
footer {
    background: black;
    text-align: center;
    padding: 40px;
    margin-top: 50px;
}

footer h3 {
    color: gold;
    margin-bottom: 20px;
}

footer p {
    margin-top: 10px;
}

.page-banner {
    text-align: center;
    padding: 100px 10%;
    background: #181818;
}

.page-banner h1 {
    color: gold;
    font-size: 50px;
}

.page-banner p {
    margin-top: 20px;
    font-size: 20px;
}

.about-section {
    padding: 80px 10%;
    text-align: center;
}

.about-section h2 {
    color: gold;
    margin-bottom: 30px;
}

.about-section p {
    line-height: 35px;
    font-size: 18px;
    margin-bottom: 20px;
}

.mission {
    display: flex;
    gap: 30px;
    padding: 80px 10%;
}

.mission-box {
    background: #1d1d1d;
    padding: 40px;
    border-radius: 15px;
}

.mission-box h2 {
    color: gold;
    margin-bottom: 20px;
}

.why-us {
    padding: 80px 10%;
}

.why-us h2 {
    text-align: center;
    color: gold;
    margin-bottom: 40px;
}

.services-container {
    padding: 80px 10%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
}

.service-card {
    background: #1d1d1d;
    padding: 35px;
    border-radius: 15px;
    transition: 0.4s;
    box-shadow: 0 0 10px rgba(255, 215, 0, 0.2);
}

.service-card:hover {
    transform: translateY(-10px);
    border: 2px solid gold;
}

.service-card h2 {
    color: gold;
    margin-bottom: 20px;
}

.service-card p {
    color: #ddd;
    line-height: 30px;
}

.headings {
    text-align: center;
    padding: 80px 10%;
    color: gold;
}

.gallery-page {
    padding: 10px 10%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 25px;
}

.gallery-item {
    position: relative;
    overflow: hidden;
    border-radius: 15px;
}

.gallery-item img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    transition: 0.5s;
}

.gallery-item:hover img {
    transform: scale(1.1);
}

.video-gallery {
    padding: 0 10% 80px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 25px;
}

.video-item {
    background: #1d1d1d;
    padding: 20px;
    border-radius: 15px;
    text-align: center;
    overflow:hidden;
    width:100%;
    height:100%;
}

.video-item video {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 10px;
    display:block;
}

.video-item h3 {
    text-align:center;
    margin-top: 15px;
    color: gold;
}

.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: 0.5s;
}

.gallery-item:hover .overlay {
    opacity: 1;
}

.overlay h3 {
    color: gold;
    font-size: 25px;
}

.packages {
    padding: 80px 10%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
}

.package-card {
    background: #1d1d1d;
    border-radius: 15px;
    padding: 40px;
    text-align: center;
    transition: 0.4s;
}

.package-card:hover {
    transform: translateY(-10px);
    border: 2px solid gold;
}

.package-card h2 {
    color: gold;
    margin-bottom: 20px;
}

.package-card h1 {
    margin-bottom: 20px;
}

.package-card ul {
    list-style: none;
    line-height: 40px;
    margin-bottom: 30px;
}

.package-images {
    margin-top: 20px;
}

.item {
    margin-bottom: 20px;
}

.item img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 10px;
}

.item p {
    margin-top: 10px;
    color: white;
}

summary {
    cursor: pointer;
    list-style: none;
}

.contact-container {
    
    flex-direction: column;
    align-items: center;
    padding: 40px 5%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 40px;
}

.contact-form,
.contact-info {
    width: 100%;
    max-width: 400px;
    height:100%;
    margin: 0 auto 30px;
    padding: 25px;
    background:#1d1d1d;
    border-radius: 15px;
}

.contact-form h2,
.contact-info h2 {
    color: gold;
    margin-bottom: 25px;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 15px;
    margin-bottom: 20px;
    border: none;
    border-radius: 10px;
    outline: none;
}

.contact-form button {
    background: gold;
    color: black;
    border: none;
    padding: 15px 30px;
    border-radius: 10px;
    cursor: pointer;
    font-weight: bold;
}

.contact-info p {
    line-height: 40px;
}

.contact-btn {
    display: block;
    margin-top: 20px;
    background: gold;
    color: black;
    text-decoration: none;
    padding: 15px;
    border-radius: 10px;
    text-align: center;
}

.map {
    padding: 0 10% 80px;
}

.map h2 {
    color: gold;
    text-align: center;
    margin-bottom: 30px;
    margin-top:50px;
}

.map iframe {
    width: 100%;
    height: 350px;
    border: none;
    border-radius: 15px;
}

/* Hamburger Icon */
.menu-toggle {
    display: none;
    font-size: 30px;
    color: gold;
    cursor: pointer;
}

/* Mobile View */
@media(max-width:768px) {

    header {
        padding: 15px 5%;
        position: relative;
    }

    .menu-toggle {
        display: block;
    }

    nav {
        position: absolute;
        top: 100%;
        left: -100%;
        width: 100%;
        background: #111;
        transition: 0.5s;
    }

    nav.active {
        left: 0;
    }

    nav ul {
        flex-direction: column;
        text-align: center;
    }

    nav ul li {
        margin: 20px 0;
    }

    .hero-content h1 {
        font-size: 40px;
    }

    .hero-content p {
        font-size: 16px;
        line-height: 30px;
    }

    .mission {
        flex-direction: column;
    }

    .box,
    .card {
        width: 100%;
    }

    .contact-container {
        grid-template-columns: 1fr;
    }

    .packages {
        grid-template-columns: 1fr;
    }

    .gallery-page {
        grid-template-columns: 1fr;
    }

    .services-container {
        grid-template-columns: 1fr;
    }
    .video-gallery{
        grid-template-columns:1fr;
    }
    .video-item video{
        width:100%;
    }
    .video-item{
        margin:0 auto;
        padding:15px;
    }
}